KNIFE-XARGS(1)

NAME
knife-xargs - The man page for the knife xargs subcommand.

The knife xargs subcommand is used to build and execute command lines against objects on a server using standard input.

Syntax

This argument has the following syntax:

$ knife xargs [PATTERN...] (options)

Options

This subcommand has the following options:

-0  Indicates that a NULL character (\0) will be used as a separator, instead of white space. Default: false.

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-repo-path PATH
    The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same as specified by chef_repo_path in config.rb.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Indicates whether colored output will be used.

--concurrency
    The number of allowed concurrent connections. Default: 10.

-d, --disable-editing
    Indicates that $EDITOR will not be opened; data will be accepted as-is.

--defaults
    Indicates that Knife will use the default value, instead of asking a user to provide one.

--[no-]diff
    Use to show a diff when a file changes. Default: --diff.

--dry-run
    Use to prevent changes from being uploaded to the server. Default: false.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

--[no-]force
    Use to force the upload of files even if they haven't been changed. Default: --no-force.

-h, --help
    Shows help for the command.

-I REPLACE_STRING, --replace REPLACE_STRING
    Use to define a string that will be used to replace all occurrences of a file name. Default: nil.

-J REPLACE_STRING, --replace-first REPLACE_STRING
    Use to define a string that will be used to replace the first occurrence of a file name. Default: nil.

-k KEY, --key KEY
    The private key that Knife will use to sign requests made by the API client to the server.

--local
    Indicates that a command line will be built or executed against a local file. Set to false to build or execute against a remote file. Default: false.

-n MAX_ARGS, --max-args MAX_ARGS
    The maximum number of arguments per command line. Default: nil.

-p [PATTERN...], --pattern [PATTERN...]
    One (or more) patterns for a command line. If this option is not specified, a list of patterns may be expected on standard input. Default: nil.

--print-after
    Indicates that data will be shown after a destructive operation.

--repo-mode MODE
    The layout of the local chef-repo. Possible values: static, everything, or hosted_everything. Use static for just roles, environments, cookbooks, and data bags. By default, everything and hosted_everything are dynamically selected depending on the server type. Default value: default.

-s LENGTH, --max-chars LENGTH
    The maximum size (in characters) for a command line. Default: nil.

--server-url URL
    The URL for the server.

-t  Indicates that the print command will be run on the command line. Default: nil.

-u USER, --user USER
    The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-y, --yes
    Indicates that the response to all confirmation prompts will be "Yes" (and that Knife will not ask for confirmation).

-z, --local-mode
    Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.

    Examples

    $ knife deps nodes/*.json | xargs knife upload

AUTHOR
Chef